# $Id: ext_comment.rb,v 1.2 2004/05/12 10:42:27 eto Exp $
# Copyright (C) 2003-2004 Kouichirou Eto, All rights reserved.
# This is free software with ABSOLUTELY NO WARRANTY.
# You can redistribute it and/or modify it under the terms of the GNU GPL2.

require 'qwik/ext_form'

# not yet.
module Qwik
  class Plugin
    COMMENT_DEFAULT = "Please input comment"
    def comment(arg=nil)
      form(@page.key){
"|●ユーザ名|{{ring_show(user)}}|
|●message|{{textarea(message,40,7,#{COMMENT_DEFAULT})}}|
||{{submit( POST! )}}|"}
    end

    def comment_go(arg=nil)
      mail    = @user
      user    = ring_user(mail, 'user')
      message = @query['message']
      page    = @query['page']
      goback = "\n[[元のページ|#{page}]]に戻る。\n"
      if !message || message == '' || message == "ここにメッセージを入力してください。"
	return "** メッセージを入力してください。#{goback}".w.res
      end

      pagename = ring_user(mail, 'pagename')
      ymdx = Time.now.ymdx
      content = ":[[#{user}|#{pagename}]] (#{ymdx}):#{message}\n"
      @site[page].append(content)

      return ("** メッセージを追加しました。#{goback}どうもありがとうございました。\n").w.res
    end

  end
end
